SCREENBLANK(1)

NAME
screenblank - screen saver daemon for wscons and FBIO machines

SYNOPSIS
screenblank [-k | -m] [-d inactivity-timeout] [-e wakeup-delay] [-f framebuffer] [-i input-device]
screenblank {-b | -u}

DESCRIPTION
screenblank disables the framebuffer if the keyboard and mouse are idle for a period of time, and re-enables the framebuffer when keyboard or mouse activity resumes.

When killed with a SIGINT, SIGHUP, or SIGTERM, screenblank will re-enable the framebuffer. The pid can be found in the file /var/run/screenblank.pid.

The options are as follows:

-b  Overriding the other options, simply try (once) to blank the framebuffer, then exit.

-d inactivity-timeout
    Wait the number of seconds specified by inactivity-timeout, expressed in the format “xxx.xxx”, before disabling the framebuffer due to inactivity. The default is 600 seconds (10 minutes).

-e wakeup-delay
    Wait the number of seconds specified by wakeup-delay, expressed in the format “xxx.xxx”, before re-enabling the framebuffer once activity resumes. The default is .25 seconds.

-f framebuffer
    Use the framebuffer device framebuffer instead of the default /dev/fb.

-i input-device
    Add input-device to the list of devices to monitor for activity.

-k  Do not check the keyboard for activity.

-m  Do not check the mouse for activity.

-u  Overriding the other options, simply try (once) to unblank the framebuffer, then exit.

Note that the -k and -m flags are mutually exclusive.

FILES

/dev/kbd
    The keyboard device.

/dev/mouse
    The mouse device.

/dev/console
    The console device.

/dev/fb
    The default framebuffer.

/dev/wskbd
    The keyboard for wscons machines.

/dev/wsmouse
    The mouse device for wscons machines.

/dev/ttyE0
    The console device for wscons machines.

/var/run/screenblank.pid
    File containing the pid of screenblank.

CAVEATS
screenblank checks the access and modification times of the devices it is monitoring to determine activity. If the devices are on a file system mounted with the noatime and/or nodevmtime options, it will not function as expected. A possible workaround is to use a script as such:

    #!/bin/sh
    /usr/sbin/screenblank -d 0 -e 0 && read
    /usr/bin/pkill screenblank